Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Interface IWorldAccess

All Known Implementing Classes:
  RenderGlobal, WorldManager

    public interface IWorldAccess

Method Summary
`void` | `destroyBlockPartially(int var1, int var2, int var3, int var4, int var5)` Starts (or continues) destroying a block with given ID at the given coordinates for the given partially destroyed value
`void` | `func_82746_a(int var1, int var2, int var3, int var4, int var5)`
`void` | `func_85102_a(EntityPlayer var1, String var2, double var3, double var5, double var7, float var9, float var10)`
`void` | `markBlockNeedsUpdate(int var1, int var2, int var3)` Will mark the block and neighbors that their renderers need an update (could be all the same renderer potentially) Args: x, y, z
`void` | `markBlockNeedsUpdate2(int var1, int var2, int var3)` As of mc 1.2.3 this method has exactly the same signature and does exactly the same as markBlockNeedsUpdate
`void` | `markBlockRangeNeedsUpdate(int var1, int var2, int var3, int var4, int var5, int var6)` Called across all registered IWorldAccess instances when a block range is invalidated.
`void` | `obtainEntitySkin(Entity var1)` Start the skin for this entity downloading, if necessary, and increment its reference counter
`void` | `playAuxSFX(EntityPlayer var1, int var2, int var3, int var4, int var5, int var6)` Plays a pre-canned sound effect along with potentially auxiliary data-driven one-shot behaviour (particles, etc).
`void` | `playRecord(String var1, int var2, int var3, int var4)` Plays the specified record.
`void` | `playSound(String var1, double var2, double var4, double var6, float var8, float var9)` Plays the specified sound.
`void` | `releaseEntitySkin(Entity var1)` Decrement the reference counter for this entity's skin image data
`void` | `spawnParticle(String var1, double var2, double var4, double var6, double var8, double var10, double var12)` Spawns a particle.

Method Detail

### markBlockNeedsUpdate

    void markBlockNeedsUpdate(int var1,
                              int var2,
                              int var3)

  Will mark the block and neighbors that their renderers need an update (could be all the same renderer potentially) Args: x, y, z

### markBlockNeedsUpdate2

    void markBlockNeedsUpdate2(int var1,
                               int var2,
                               int var3)

  As of mc 1.2.3 this method has exactly the same signature and does exactly the same as markBlockNeedsUpdate

### markBlockRangeNeedsUpdate

    void markBlockRangeNeedsUpdate(int var1,
                                   int var2,
                                   int var3,
                                   int var4,
                                   int var5,
                                   int var6)

  Called across all registered IWorldAccess instances when a block range is invalidated. Args: minX, minY, minZ, maxX, maxY, maxZ

### playSound

    void playSound(String var1,
                   double var2,
                   double var4,
                   double var6,
                   float var8,
                   float var9)

  Plays the specified sound. Arg: soundName, x, y, z, volume, pitch

### func_85102_a

    void func_85102_a(EntityPlayer var1,
                      String var2,
                      double var3,
                      double var5,
                      double var7,
                      float var9,
                      float var10)

### spawnParticle

    void spawnParticle(String var1,
                       double var2,
                       double var4,
                       double var6,
                       double var8,
                       double var10,
                       double var12)

  Spawns a particle. Arg: particleType, x, y, z, velX, velY, velZ

### obtainEntitySkin

    void obtainEntitySkin(Entity var1)

  Start the skin for this entity downloading, if necessary, and increment its reference counter

### releaseEntitySkin

    void releaseEntitySkin(Entity var1)

  Decrement the reference counter for this entity's skin image data

### playRecord

    void playRecord(String var1,
                    int var2,
                    int var3,
                    int var4)

  Plays the specified record. Arg: recordName, x, y, z

### func_82746_a

    void func_82746_a(int var1,
                      int var2,
                      int var3,
                      int var4,
                      int var5)

### playAuxSFX

    void playAuxSFX(EntityPlayer var1,
                    int var2,
                    int var3,
                    int var4,
                    int var5,
                    int var6)

  Plays a pre-canned sound effect along with potentially auxiliary data-driven one-shot behaviour (particles, etc).

### destroyBlockPartially

    void destroyBlockPartially(int var1,
                               int var2,
                               int var3,
                               int var4,
                               int var5)

  Starts (or continues) destroying a block with given ID at the given coordinates for the given partially destroyed value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD